<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__ble__hrs_8h" kind="file" language="C++">
    <compoundname>cy_ble_hrs.h</compoundname>
    <includes local="yes" refid="cy__ble_8h">cy_ble.h</includes>
    <includedby local="yes" refid="cy__ble__event__handler_8h">cy_ble_event_handler.h</includedby>
    <innerclass prot="public" refid="structcy__stc__ble__hrss__t">cy_stc_ble_hrss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hrsc__t">cy_stc_ble_hrsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hrs__char__value__t">cy_stc_ble_hrs_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hrs__descr__value__t">cy_stc_ble_hrs_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hrss__config__t">cy_stc_ble_hrss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hrsc__config__t">cy_stc_ble_hrsc_config_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="cy__ble__hrs_8h_1a5bc547dc1638f26a1a357cecf1401165" kind="define" prot="public" static="no">
        <name>CY_BLE_HRS_BSL_CHAR_LEN</name>
        <initializer>(1u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="35" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="35" />
      </memberdef>
      <memberdef id="cy__ble__hrs_8h_1a40f0fa12c1ae46d6bda778aabe1f3908" kind="define" prot="public" static="no">
        <name>CY_BLE_HRS_CPT_CHAR_LEN</name>
        <initializer>(1u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="38" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="38" />
      </memberdef>
      <memberdef id="cy__ble__hrs_8h_1a25f71ba70cc88c3b61b32345dca9a73b" kind="define" prot="public" static="no">
        <name>CY_BLE_HRS_RESET_ENERGY_EXPENDED</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="39" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="39" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a" kind="enum" prot="public" static="no">
        <name>cy_en_ble_hrs_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aa3f2d53719e12924ce3cf689291e170fe" prot="public">
          <name>CY_BLE_HRS_HRM</name>
          <briefdescription>
<para>Heart Rate Measurement Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aae6a5ae129d255221ae0045d3ffd4820a" prot="public">
          <name>CY_BLE_HRS_BSL</name>
          <briefdescription>
<para>Body Sensor Location Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aabef82b9689dea49010eccd96bd8bae71" prot="public">
          <name>CY_BLE_HRS_CPT</name>
          <briefdescription>
<para>Control Point Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aaa15f3297a6393870b203dcb26edd14cb" prot="public">
          <name>CY_BLE_HRS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of HRS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_hrs_char_index_t: </bold><linebreak />HRS Characteristics indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="57" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="51" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="52" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___h_r_s__definitions_1gadbf3ef055d7160bf11a83b21b8076687" kind="enum" prot="public" static="no">
        <name>cy_en_ble_hrs_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___h_r_s__definitions_1ggadbf3ef055d7160bf11a83b21b8076687a2a02e070cba06c63cadbf95706a88dc0" prot="public">
          <name>CY_BLE_HRS_HRM_CCCD</name>
          <briefdescription>
<para>Heart Rate Measurement client char. </para>          </briefdescription>
          <detaileddescription>
<para>config. descriptor index </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_r_s__definitions_1ggadbf3ef055d7160bf11a83b21b8076687a10291ec03e1645fa589d742d5d2c91c6" prot="public">
          <name>CY_BLE_HRS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of HRS HRM descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_hrs_descr_index_t: </bold><linebreak />HRS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="64" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="60" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="61" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="cy__ble__hrs_8h_1a7af6a0972c1035bd0197b857f66ae665" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__hrss__config__t">cy_stc_ble_hrss_config_t</ref> *</type>
        <definition>const cy_stc_ble_hrss_config_t* cy_ble_hrssConfigPtr</definition>
        <argsstring />
        <name>cy_ble_hrssConfigPtr</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="187" />
      </memberdef>
      <memberdef id="cy__ble__hrs_8h_1a4223875d51511986c0f3b8f8ee981a40" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__hrsc__config__t">cy_stc_ble_hrsc_config_t</ref> *</type>
        <definition>const cy_stc_ble_hrsc_config_t* cy_ble_hrscConfigPtr</definition>
        <argsstring />
        <name>cy_ble_hrscConfigPtr</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="188" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___h_r_s__server__client_1gaa401011acfa82d81b14c69c956261e2a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HRSS_Init</definition>
        <argsstring>(const cy_stc_ble_hrss_config_t *config)</argsstring>
        <name>Cy_BLE_HRSS_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__hrss__config__t">cy_stc_ble_hrss_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>This function initializes server of the Heart Rate service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure for the HRS.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates whether the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function completed successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Buffer overflow in the registration callback. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="108" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="87" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="135" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___h_r_s__server__client_1gad7499f2275515c557f9925a4965cd9fc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HRSC_Init</definition>
        <argsstring>(const cy_stc_ble_hrsc_config_t *config)</argsstring>
        <name>Cy_BLE_HRSC_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__hrsc__config__t">cy_stc_ble_hrsc_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>This function initializes client of the Heart Rate service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure for the HRS.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates whether the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function completed successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Buffer overflow in the registration callback. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="175" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="130" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="136" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___h_r_s__server__client_1ga57edd4bb4c9832742a4707b299da42a0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HRS_RegisterAttrCallback</definition>
        <argsstring>(cy_ble_callback_t callbackFunc)</argsstring>
        <name>Cy_BLE_HRS_RegisterAttrCallback</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref></type>
          <declname>callbackFunc</declname>
        </param>
        <briefdescription>
<para>Registers a callback function for service-specific attribute operations. </para>        </briefdescription>
        <detaileddescription>
<para>Service-specific Write Requests from the peer device will not be handled with an unregistered callback function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>callbackFunc</parametername>
</parameternamelist>
<parameterdescription>
<para>An application layer event callback function to receive events from the PSoC 6 BLE Middleware. The definition of <ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref> for HRS service is:<linebreak />
 typedef void (* cy_ble_callback_t) (uint32_t eventCode, void *eventParam), where:<itemizedlist>
<listitem><para>eventCode: Indicates the event that triggered this callback (e.g. <ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51af4c0758e30af84dfc3d479503e2cdaf3">CY_BLE_EVT_HRSS_NOTIFICATION_ENABLED</ref>).</para></listitem><listitem><para>eventParam: Contains the parameters corresponding to the current event; (e.g. pointer to <ref kindref="compound" refid="structcy__stc__ble__hrs__char__value__t">cy_stc_ble_hrs_char_value_t</ref> structure that contains details of the characteristic for which the notification enabled event was triggered). </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="202" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="199" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="137" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___h_r_s__server_1ga53eb756e0c1732549ea6fb7fe7df32f8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HRSS_SetCharacteristicValue</definition>
        <argsstring>(cy_en_ble_hrs_char_index_t charIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_HRSS_SetCharacteristicValue</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Sets a characteristic value of Heart Rate service, which is a value identified by charIndex, to the local database. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic value data that should be stored in the GATT database.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE&lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;An optional characteristic is absent. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="262" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="228" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="144" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___h_r_s__server_1ga9b724eb62361a9e17a8391ebd4329109" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HRSS_GetCharacteristicValue</definition>
        <argsstring>(cy_en_ble_hrs_char_index_t charIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_HRSS_GetCharacteristicValue</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Gets a characteristic value of Heart Rate service. </para>        </briefdescription>
        <detaileddescription>
<para>The value is identified by charIndex.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the location where characteristic value data should be stored.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The characteristic value was read successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Optional characteristic is absent. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="322" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="288" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="147" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___h_r_s__server_1ga268ce65e65d287a9b5b073c683cf05da" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HRSS_GetCharacteristicDescriptor</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_hrs_char_index_t charIndex, cy_en_ble_hrs_descr_index_t descrIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_HRSS_GetCharacteristicDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gadbf3ef055d7160bf11a83b21b8076687">cy_en_ble_hrs_descr_index_t</ref></type>
          <declname>descrIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Gets the local characteristic descriptor of the specified Heart Rate service characteristic. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descrIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic descriptor of type <ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gadbf3ef055d7160bf11a83b21b8076687">cy_en_ble_hrs_descr_index_t</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the descriptor value attribute. The Heart Rate Measurement characteristic client configuration descriptor has 2 bytes length. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the location where characteristic descriptor value data should be stored.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The characteristic descriptor value was read successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Optional descriptor is absent. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="393" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="354" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="150" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___h_r_s__server_1ga855570ad54e2d57fbc59f1cc526fdd97" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HRSS_SendNotification</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_hrs_char_index_t charIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_HRSS_SendNotification</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Sends notification of a specified Heart Rate service characteristic value to the client device. </para>        </briefdescription>
        <detaileddescription>
<para>No response is expected.</para><para>On enabling notification successfully for a service characteristic it sends out a 'Handle Value Notification' which results in <ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51ad710fb4fcc10acd13f274b7ca978df03">CY_BLE_EVT_HRSC_NOTIFICATION</ref> event at the GATT Client's end.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic value data that should be sent to the client device.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is invalid for this characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Connection with the client is not established. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NTF_DISABLED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Notification is not enabled by the client. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="462" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="427" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="155" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___h_r_s__client_1ga9b2cb534cb6d57a1ff1d1cd407430bca" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HRSC_SetCharacteristicValue</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_hrs_char_index_t charIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_HRSC_SetCharacteristicValue</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>This function is used to write the characteristic value attribute (identified by charIndex) to the server. </para>        </briefdescription>
        <detaileddescription>
<para>The Write Response just confirms the operation success.</para><para>This function call can result in generation of the following events based on the response from the server device:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a653c2e18b11087d09a9759a0c9695817">CY_BLE_EVT_HRSC_WRITE_CHAR_RESPONSE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref></para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic value data that should be sent to the server device.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was sent successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is invalid for this characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The peer device doesn't have the particular characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Connection with the server is not established. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Events</title><para>In case of successful execution (return value = <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref>) the following events can appear: <linebreak />
 If the HRS service-specific callback is registered with <ref kindref="member" refid="group__group__ble__service__api___h_r_s__server__client_1ga57edd4bb4c9832742a4707b299da42a0">Cy_BLE_HRS_RegisterAttrCallback()</ref>:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a653c2e18b11087d09a9759a0c9695817">CY_BLE_EVT_HRSC_WRITE_CHAR_RESPONSE</ref> - In case if the requested attribute is successfully written on the peer device, the details (charIndex, etc.) are provided with event parameter structure of type <ref kindref="compound" refid="structcy__stc__ble__hrs__char__value__t">cy_stc_ble_hrs_char_value_t</ref>.</para></listitem></itemizedlist>
Otherwise (if the HRS service-specific callback is not registered):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a9a5f078b557f3991ed1356d08139b094">CY_BLE_EVT_GATTC_WRITE_RSP</ref> - In case if the requested attribute is successfully written on the peer device.</para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref> - In case if an error occurred with the requested attribute on the peer device, the details are provided with event parameters structure <ref kindref="compound" refid="structcy__stc__ble__gatt__err__param__t">cy_stc_ble_gatt_err_param_t</ref>. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="642" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="597" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="165" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___h_r_s__client_1ga19169dd3e9d881ca240465c715ce9d30" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HRSC_GetCharacteristicValue</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_hrs_char_index_t charIndex)</argsstring>
        <name>Cy_BLE_HRSC_GetCharacteristicValue</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <briefdescription>
<para>Sends a request to the peer device to get a characteristic value, as identified by its charIndex. </para>        </briefdescription>
        <detaileddescription>
<para>The Read Response returns the characteristic Value in the Attribute Value parameter.</para><para>The Read Response only contains the characteristic Value that is less than or equal to (MTU - 1) octets in length. If the characteristic Value is greater than (MTU - 1) octets in length, the Read Long Characteristic Value procedure may be used if the rest of the characteristic Value is required.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was sent successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is invalid for this characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Connection with the server is not established. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The peer device doesn't have the particular characteristic &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Events</title><para>In case of successful execution (return value = <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref>) the following events can appear: <linebreak />
 If the HRS service-specific callback is registered with <ref kindref="member" refid="group__group__ble__service__api___h_r_s__server__client_1ga57edd4bb4c9832742a4707b299da42a0">Cy_BLE_HRS_RegisterAttrCallback()</ref>:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a05a3a058a9c2b2476811278a238473ea">CY_BLE_EVT_HRSC_READ_CHAR_RESPONSE</ref> - In case if the requested attribute is successfully read on the peer device, the details (charIndex , value, etc.) are provided with event parameter structure of type <ref kindref="compound" refid="structcy__stc__ble__hrs__char__value__t">cy_stc_ble_hrs_char_value_t</ref>.</para></listitem></itemizedlist>
Otherwise (if an HRS service-specific callback is not registered):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a9f66de88a47e0eb5cd2026421ffcea24">CY_BLE_EVT_GATTC_READ_RSP</ref> - If the requested attribute is successfully read on the peer device, the details (handle, value, etc.) are provided with an event parameter structure <ref kindref="compound" refid="structcy__stc__ble__gattc__read__rsp__param__t">cy_stc_ble_gattc_read_rsp_param_t</ref>.</para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref> - If an error occurred with the requested attribute on the peer device, the details are provided with an event parameter structure <ref kindref="compound" refid="structcy__stc__ble__gatt__err__param__t">cy_stc_ble_gatt_err_param_t</ref>. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="737" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="697" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="169" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___h_r_s__client_1ga2e2b6726e96fe3da591e5d08d56be4ab" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HRSC_SetCharacteristicDescriptor</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_hrs_char_index_t charIndex, cy_en_ble_hrs_descr_index_t descrIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_HRSC_SetCharacteristicDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gadbf3ef055d7160bf11a83b21b8076687">cy_en_ble_hrs_descr_index_t</ref></type>
          <declname>descrIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>This function is used to write the characteristic Value to the server, which is identified by charIndex. </para>        </briefdescription>
        <detaileddescription>
<para>This function call can result in generation of the following events based on the response from the server device:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a6cf11821d0dadb415d72e978692fa074">CY_BLE_EVT_HRSC_WRITE_DESCR_RESPONSE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref></para></listitem></itemizedlist>
</para><para>One of the following events are received by the peer device, on invoking this function:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51af4c0758e30af84dfc3d479503e2cdaf3">CY_BLE_EVT_HRSS_NOTIFICATION_ENABLED</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51af2b91a37cbdce4779de131eae59cc8be">CY_BLE_EVT_HRSS_NOTIFICATION_DISABLED</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a1c3e0b5c30715afa34e208fa7f8e9ab6">CY_BLE_EVT_HRSS_ENERGY_EXPENDED_RESET</ref></para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descrIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic descriptor of type <ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gadbf3ef055d7160bf11a83b21b8076687">cy_en_ble_hrs_descr_index_t</ref>.* </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic descriptor value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic descriptor value data that should be sent to the server device.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was sent successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is invalid for this characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The peer device doesn't have the particular characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The state is not valid. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Events</title><para>In case of successful execution (return value = <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref>) the following events can appear: <linebreak />
 If the HRS service-specific callback is registered with <ref kindref="member" refid="group__group__ble__service__api___h_r_s__server__client_1ga57edd4bb4c9832742a4707b299da42a0">Cy_BLE_HRS_RegisterAttrCallback()</ref>:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a6cf11821d0dadb415d72e978692fa074">CY_BLE_EVT_HRSC_WRITE_DESCR_RESPONSE</ref> - In case if the requested attribute is successfully written on the peer device, the details (charIndex, descrIndex etc.) are provided with event parameter structure of type <ref kindref="compound" refid="structcy__stc__ble__hrs__descr__value__t">cy_stc_ble_hrs_descr_value_t</ref>.</para></listitem></itemizedlist>
Otherwise (if an HRS service-specific callback is not registered):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a9a5f078b557f3991ed1356d08139b094">CY_BLE_EVT_GATTC_WRITE_RSP</ref> - If the requested attribute is successfully written on the peer device.</para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref> - If an error occurred with the requested attribute on the peer device, the details are provided with an event parameter structure ( <ref kindref="compound" refid="structcy__stc__ble__gatt__err__param__t">cy_stc_ble_gatt_err_param_t</ref>). </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="846" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="797" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="172" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___h_r_s__client_1ga01d3bc9aeaf7c8e5a9a05c959f21842f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HRSC_GetCharacteristicDescriptor</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_hrs_char_index_t charIndex, cy_en_ble_hrs_descr_index_t descrIndex)</argsstring>
        <name>Cy_BLE_HRSC_GetCharacteristicDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gadbf3ef055d7160bf11a83b21b8076687">cy_en_ble_hrs_descr_index_t</ref></type>
          <declname>descrIndex</declname>
        </param>
        <briefdescription>
<para>Gets a characteristic descriptor of a specified characteristic of the service. </para>        </briefdescription>
        <detaileddescription>
<para>This function call can result in generation of the following events based on the response from the server device:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a1de4cd5887a2e474d5ef60f75bbeb393">CY_BLE_EVT_HRSC_READ_DESCR_RESPONSE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref></para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic of type <ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descrIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic descriptor of type <ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gadbf3ef055d7160bf11a83b21b8076687">cy_en_ble_hrs_descr_index_t</ref>.*</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was sent successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;This operation is not permitted on the specified attribute. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The state is not valid. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The peer device doesn't have &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;the particular descriptor</verbatim></para><para><simplesect kind="par"><title>Events</title><para>In case of successful execution (return value = <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref>) the following events can appear: <linebreak />
 If the HRS service-specific callback is registered with <ref kindref="member" refid="group__group__ble__service__api___h_r_s__server__client_1ga57edd4bb4c9832742a4707b299da42a0">Cy_BLE_HRS_RegisterAttrCallback()</ref>:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a1de4cd5887a2e474d5ef60f75bbeb393">CY_BLE_EVT_HRSC_READ_DESCR_RESPONSE</ref> - In case if the requested attribute is successfully read on the peer device, the details (charIndex, descrIndex, value, etc.) are provided with event parameter structure of type <ref kindref="compound" refid="structcy__stc__ble__hrs__descr__value__t">cy_stc_ble_hrs_descr_value_t</ref>.</para></listitem></itemizedlist>
Otherwise (if an HRS service-specific callback is not registered):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a9f66de88a47e0eb5cd2026421ffcea24">CY_BLE_EVT_GATTC_READ_RSP</ref> - If the requested attribute is successfully read on the peer device, the details (handle, value, etc.) are provided with an event parameter structure <ref kindref="compound" refid="structcy__stc__ble__gattc__read__rsp__param__t">cy_stc_ble_gattc_read_rsp_param_t</ref>.</para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref> - If an error occurred with the requested attribute on the peer device, the details are provided with an event parameter structure <ref kindref="compound" refid="structcy__stc__ble__gatt__err__param__t">cy_stc_ble_gatt_err_param_t</ref>. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="941" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.c" bodystart="900" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="177" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file contains the function prototypes and constants used in the Heart Rate service. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>3.50</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2017-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="17"><highlight class="preprocessor">#ifndef<sp />CY_BLE_HRS_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_HRS_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ble.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXBLESS)</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="comment">/*<sp />C<sp />binding<sp />of<sp />definitions<sp />if<sp />building<sp />with<sp />C++<sp />compiler<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="31"><highlight class="comment">*<sp />API<sp />Constants</highlight></codeline>
<codeline lineno="32"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="comment">/*<sp />Definitions<sp />for<sp />Body<sp />Sensor<sp />Location<sp />Characteristic<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_HRS_BSL_CHAR_LEN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="comment">/*<sp />Definitions<sp />for<sp />ControlPoint<sp />Characteristic<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_HRS_CPT_CHAR_LEN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_HRS_RESET_ENERGY_EXPENDED<sp /><sp /><sp /><sp />(0x01u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="43"><highlight class="comment">*<sp />Data<sp />Types</highlight></codeline>
<codeline lineno="44"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal">{</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aa3f2d53719e12924ce3cf689291e170fe">CY_BLE_HRS_HRM</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aae6a5ae129d255221ae0045d3ffd4820a">CY_BLE_HRS_BSL</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aabef82b9689dea49010eccd96bd8bae71">CY_BLE_HRS_CPT</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aaa15f3297a6393870b203dcb26edd14cb">CY_BLE_HRS_CHAR_COUNT</ref><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="57"><highlight class="normal">}<ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a">cy_en_ble_hrs_char_index_t</ref>;</highlight></codeline>
<codeline lineno="58"><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal">{</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1ggadbf3ef055d7160bf11a83b21b8076687a2a02e070cba06c63cadbf95706a88dc0">CY_BLE_HRS_HRM_CCCD</ref>,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1ggadbf3ef055d7160bf11a83b21b8076687a10291ec03e1645fa589d742d5d2c91c6">CY_BLE_HRS_DESCR_COUNT</ref><sp /><sp /></highlight></codeline>
<codeline lineno="64"><highlight class="normal">}<ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1gadbf3ef055d7160bf11a83b21b8076687">cy_en_ble_hrs_descr_index_t</ref>;</highlight></codeline>
<codeline lineno="65"><highlight class="normal" /></codeline>
<codeline lineno="67" refid="structcy__stc__ble__hrss__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal">{</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />serviceHandle;</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />charHandle[<ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aaa15f3297a6393870b203dcb26edd14cb">CY_BLE_HRS_CHAR_COUNT</ref>];</highlight></codeline>
<codeline lineno="74"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />hrmCccdHandle;</highlight></codeline>
<codeline lineno="77"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__hrss__t">cy_stc_ble_hrss_t</ref>;</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="80" refid="structcy__stc__ble__hrsc__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal">{</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__srvr__char__info__t">cy_stc_ble_srvr_char_info_t</ref><sp /><sp />charInfo[<ref kindref="member" refid="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aaa15f3297a6393870b203dcb26edd14cb">CY_BLE_HRS_CHAR_COUNT</ref>];</highlight></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />hrmCccdHandle;</highlight></codeline>
<codeline lineno="87"><highlight class="normal">}<ref kindref="compound" refid="structcy__stc__ble__hrsc__t">cy_stc_ble_hrsc_t</ref>;</highlight></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="90" refid="structcy__stc__ble__hrs__char__value__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal">{</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp /><sp /><sp />connHandle;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_ble_hrs_char_index_t<sp />charIndex;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref><sp /><sp /><sp /><sp />*value;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="95"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__hrs__char__value__t">cy_stc_ble_hrs_char_value_t</ref>;</highlight></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="98" refid="structcy__stc__ble__hrs__descr__value__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal">{</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp /><sp /><sp /><sp />connHandle;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_ble_hrs_char_index_t<sp /><sp />charIndex;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_ble_hrs_descr_index_t<sp />descrIndex;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref><sp /><sp /><sp /><sp /><sp />*value;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="104"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__hrs__descr__value__t">cy_stc_ble_hrs_descr_value_t</ref>;</highlight></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="107" refid="structcy__stc__ble__hrss__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal">{</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__hrss__t">cy_stc_ble_hrss_t</ref><sp />*attrInfo;</highlight></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__hrss__config__t">cy_stc_ble_hrss_config_t</ref>;</highlight></codeline>
<codeline lineno="113"><highlight class="normal" /></codeline>
<codeline lineno="115" refid="structcy__stc__ble__hrsc__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal">{</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__hrsc__t">cy_stc_ble_hrsc_t</ref><sp />*attrInfo;</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />serviceDiscIdx;</highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="123"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__hrsc__config__t">cy_stc_ble_hrsc_config_t</ref>;</highlight></codeline>
<codeline lineno="127"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="128"><highlight class="comment">*<sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="129"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__server__client_1gaa401011acfa82d81b14c69c956261e2a">Cy_BLE_HRSS_Init</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__hrss__config__t">cy_stc_ble_hrss_config_t</ref><sp />*config);</highlight></codeline>
<codeline lineno="136"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__server__client_1gad7499f2275515c557f9925a4965cd9fc">Cy_BLE_HRSC_Init</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__hrsc__config__t">cy_stc_ble_hrsc_config_t</ref><sp />*config);</highlight></codeline>
<codeline lineno="137"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__server__client_1ga57edd4bb4c9832742a4707b299da42a0">Cy_BLE_HRS_RegisterAttrCallback</ref>(<ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref><sp />callbackFunc);</highlight></codeline>
<codeline lineno="144"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__server_1ga53eb756e0c1732549ea6fb7fe7df32f8">Cy_BLE_HRSS_SetCharacteristicValue</ref>(cy_en_ble_hrs_char_index_t<sp />charIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="146"><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__server_1ga9b724eb62361a9e17a8391ebd4329109">Cy_BLE_HRSS_GetCharacteristicValue</ref>(cy_en_ble_hrs_char_index_t<sp />charIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="149"><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__server_1ga268ce65e65d287a9b5b073c683cf05da">Cy_BLE_HRSS_GetCharacteristicDescriptor</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_hrs_char_index_t<sp />charIndex,</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_hrs_descr_index_t<sp />descrIndex,</highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />attrSize,<sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="154"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__server_1ga855570ad54e2d57fbc59f1cc526fdd97">Cy_BLE_HRSS_SendNotification</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_hrs_char_index_t<sp />charIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__client_1ga9b2cb534cb6d57a1ff1d1cd407430bca">Cy_BLE_HRSC_SetCharacteristicValue</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_hrs_char_index_t<sp />charIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="168"><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__client_1ga19169dd3e9d881ca240465c715ce9d30">Cy_BLE_HRSC_GetCharacteristicValue</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_hrs_char_index_t<sp />charIndex);</highlight></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__client_1ga2e2b6726e96fe3da591e5d08d56be4ab">Cy_BLE_HRSC_SetCharacteristicDescriptor</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_hrs_char_index_t<sp />charIndex,</highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_hrs_descr_index_t<sp />descrIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="176"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___h_r_s__client_1ga01d3bc9aeaf7c8e5a9a05c959f21842f">Cy_BLE_HRSC_GetCharacteristicDescriptor</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="178"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_hrs_char_index_t<sp />charIndex,</highlight></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_hrs_descr_index_t<sp />descrIndex);</highlight></codeline>
<codeline lineno="183"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="184"><highlight class="comment">*<sp />External<sp />Data<sp />references</highlight></codeline>
<codeline lineno="185"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__hrss__config__t">cy_stc_ble_hrss_config_t</ref><sp />*cy_ble_hrssConfigPtr;</highlight></codeline>
<codeline lineno="188"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__hrsc__config__t">cy_stc_ble_hrsc_config_t</ref><sp />*cy_ble_hrscConfigPtr;</highlight></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal">}</highlight></codeline>
<codeline lineno="193"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXBLESS<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_BLE_HRS_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" />
  </compounddef>
</doxygen>